<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="product">
            <h2><span jhiTranslate="restaurantApplicationApp.product.detail.title">Product</span> {{product.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="restaurantApplicationApp.product.name">Name</span></dt>
                <dd>
                    <span>{{product.name}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.product.description">Description</span></dt>
                <dd>
                    <span>{{product.description}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.product.price">Price</span></dt>
                <dd>
                    <span>{{product.price}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.product.ingredients">Ingredients</span></dt>
                <dd>
                    <span *ngFor="let ingredients of product.ingredients; let last = last">
                        <a [routerLink]="['/ingredients', ingredients?.id, 'view' ]">{{ingredients.id}}</a>{{last ? '' : ', '}}
                    </span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.product.productCategory">Product Category</span></dt>
                <dd>
                    <div *ngIf="product.productCategory">
                        <a [routerLink]="['/product-category', product.productCategory?.id, 'view']">{{product.productCategory?.name}}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/product', product.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
